Description

This is more of a query first and then if possible, will need a solution.
Is the least value of rain in mm that can be shown in graph is 1 mm?
We have redefined the "traces" value as values less than 0.2 mm.

Associated revisions

Revision 303174d4 - 19/12/2017 17:36 - Philippe May
Add trace field for raingauge region levels (Refs #4958)

History

#1 - 18/12/2017 13:00 - Philippe May

First impression: i don't know how to manage that request.

1. Even small values are "recorded" (0.00001 mm would be stored as any other value)
2. The scales of the graphs are automatic, so a small amount might not be visible, that's how graphs work (try in Excel or whatever, you'll get the
same).

#2 - 18/12/2017 14:32 - Pavneet Kaur

Tried to look at it. eg: dorle@Madhuca@Madhuca. Recently added a reading as 0.5 mm. It's visible in the excel sheet in basket but when i download
the corresponding csv from the "measures”, it shows the reading as 0 instead of 0.5
Why would this happen?

#3 - 18/12/2017 14:42 - Pavneet Kaur

The data entered is in decimals however the graph is showing rounded off figures to a zero decimal place. This problem didn't exist in the older
version.

#4 - 18/12/2017 17:47 - Philippe May

My bad: the readings imported from the Excel sheet are rounded to integer values.
Just for a check, i put manually in the database 0.5, and it's shown on the graph.

So, let's re-qualify the ticket.

#5 - 18/12/2017 17:48 - Philippe May

- Subject changed from Minimum record-able rain reading on graph to Import of values from Excel sheet is rounded (eg: rain gauge level)
#6 - 18/12/2017 18:16 - Philippe May

- Status changed from New to Resolved

Reimported your Excel file (Madhuca), and the value is shown properly.

#7 - 18/12/2017 18:17 - Philippe May

I'm sorry, but you might need to re-import the other Excel files too to get decimal values in the database (and thus, in the graphs).

#8 - 19/12/2017 10:35 - Pavneet Kaur
- File Screenshot (21).png added

There is an error message that appears while re-importing rain gauge region files. Not sure what is the consequence of this error. | can see the
display of decimal figures, so the previous problem was resolved.

#9 - 19/12/2017 17:46 - Philippe May

Ok, i fixed that (v2017.30). It was a side effect of the ability to put a "T" for trace. Note that the "raingauge_regions" can now also have traces of rain,
just like the "raingauge_av".

@Pavneet: even when some issue is related to another, i would prefer different tickets.
Redmine offers the possibility to link tickets: related to, blocks, blocked by, etc. There's a "Related issues" field for that purpose. Otherwise, it might
get very confusing.

In this case, the title of this ticket is "Import of values from Excel sheet is rounded": that's nowhere near the error you just reported open_mouth.png

#10 - 20/12/2017 14:11 - Pavneet Kaur

Apologies! | realized this after raising the ticket. Will use the relations option, i agree it can be confusing!

#11 - 20/12/2017 21:14 - Philippe May

- Status changed from Resolved to Closed
Screenshot (21).png 218 KB 19/12/2017 Pavneet Kaur
